from distutils.core import setup

setup(
    name='Hazard-Detection',
    version='0.1.0',
    author='Keith Burghardt',
    author_email='keithab@isi.edu',
    packages=['hazdet', 'hazdet.test'],
    scripts=['bin/example.py'],
    url='http://pypi.python.org/pypi/Hazard-Detection/',
    license='LICENSE.txt',
    description='Detect hazards in data',
    long_description=open('README.md').read(),
    install_requires=[
    "pandas==2.0.2",
    "numpy >= 1.17",
    "python-dateutil >= 2.8.2",
    "pytz >= 2020.1",
    "sklearn==1.2.2",
    "scipy>=1.10",
    "joblib >= 1.0",
    "sentence_transformers==2.2.2",
    "transformers>=4.32.0,<5.0.0",
    "tqdm",
    "torch>=1.11.0",
    "nltk",
    "sentencepiece",
    "huggingface-hub>=0.15.1",
    "Pillow",
    "demoji==1.1.0",
    "tensorflow==2.18.0",
    "xgboost==2.1.4"],
)
